%define upstream_name    Prompt-Timeout
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Prompt() with auto-selecting default value in case of inactivity
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Prompt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Term::ReadKey)
BuildArch: noarch

%description
This module provides only one function, prompt(), and it's exported by
default.

prompt
     my $res = prompt ( $question, $default, $timeout );

    Prints a $question and waits for the input. If no keys are pressed
    during $timeout seconds, $default is assumed. When pressing just Enter
    key, $default is assumed. If prompt() detects that it is not running
    interactively, $default will be used without prompting too.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc README CHANGES META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.30.0-9.mga8
+ Revision: 1496976
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.30.0-8.mga7
+ Revision: 1270885
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-7.mga6
+ Revision: 1032710
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.30.0-6.mga6
+ Revision: 938365
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-5.mga5
+ Revision: 741552
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-4.mga5
+ Revision: 686066
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 514349
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 372173
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 30 2011 jquelin <jquelin> 1.30.0-1.mga2
+ Revision: 116580
- imported package perl-Prompt-Timeout


* Thu Jun 30 2011 cpan2dist 1.03-1mga
- initial mageia release, generated with cpan2dist
